import { StateNode } from "./index";
export interface IEdge {
    action: string;
    source: StateNode;
    target: StateNode;
}
export interface INodesAndEdges {
    nodes: StateNode[];
    edges: IEdge[];
}
export declare function getNodes(node: StateNode): StateNode[];
export declare function getEdges(node: StateNode, visited?: Record<string, true>): IEdge[];
export interface IPathMap {
    [key: string]: string[];
}
export interface IAdjacencyMap {
    [key: string]: Record<string, string>;
}
export declare function getAdjacencyMap(node: StateNode): IAdjacencyMap;
export declare function getShortestPaths(machine: StateNode): IPathMap | undefined;
export declare function shortestPaths(adjacency: IAdjacencyMap, stateId: string, pathMap: IPathMap, visited?: Set<string>): IPathMap;
